Bug 463142 - Review Request: perl-Test-MockTime - Replaces actual time with simulated time
Review Request: perl-Test-MockTime - Replaces actual time with simulated time
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 459536
  Show dependency treegraph
 
Reported: 2008-09-22 04:14 EDT by Ralf Corsepius
Modified: 2010-06-18 12:03 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-24 19:59:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2008-09-22 04:14:33 EDT
Spec URL: http://corsepiu.fedorapeople.org/packages/perl-Test-MockTime.spec
SRPM URL: http://corsepiu.fedorapeople.org/packages/perl-Test-MockTime-0.09-1.fc10.noarch.rpm

Description:
This module was created to enable test suites to test code at specific
points in time. Specifically it overrides localtime, gmtime and time at
compile time and then relies on the user supplying a mock time via
set_relative_time, set_absolute_time or set_fixed_time to alter future
calls to gmtime,time or localtime.

This package is a dependency of rt-3.8's testsuite.
Comment 1 Parag AN(पराग) 2008-09-22 04:38:55 EDT
Review:
+ package builds in mock (rawhide i386).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=835731
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
cc3945c4f8d333a1a9314c0a987ef33a  Test-MockTime-0.09.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful
Files=5, Tests=35, 28 wallclock secs ( 0.02 usr  0.01 sys +  0.19 cusr  0.01 csys =  0.23 CPU)
+ Package perl-Test-MockTime-0.09-1.fc10 =>
Provides: perl(Test::MockTime)
Requires: perl(Carp) perl(Exporter) perl(strict) perl(warnings)

APPROVED.
Comment 2 Ralf Corsepius 2008-09-22 05:02:28 EDT
New Package CVS Request
=======================
Package Name: perl-Test-MockTime
Short Description: Replaces actual time with simulated time
Owners: corsepiu
Branches: F-9 F-8
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2008-09-22 11:53:37 EDT
cvs done.
Comment 4 Fedora Update System 2008-09-22 21:57:13 EDT
perl-Test-MockTime-0.09-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/perl-Test-MockTime-0.09-1.fc9
Comment 5 Fedora Update System 2008-09-24 19:59:42 EDT
perl-Test-MockTime-0.09-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Mark Chappell 2010-06-18 11:39:00 EDT
corsepiu is listed as not interested in EPEL


Package Change Request
======================
Package Name: perl-Test-MockTime
New Branches: EL-6
Owners: tremble
Comment 7 Jason Tibbitts 2010-06-18 12:03:34 EDT
CVS done.

Note You need to log in before you can comment on or make changes to this bug.